petsc-3.4.2 2013-07-02

# PetscViewerHDF5Open

Opens a file for HDF5 input/output.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode  PetscViewerHDF5Open(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *hdf5v)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| name | - name of file
| type | - type of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

### Output Parameter

hdf5v -PetscViewer for HDF5 input/output to use with the specified file

### Note

This PetscViewer should be destroyed with PetscViewerDestroy().

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscFileMode, PetscViewer

Level:beginner
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html